﻿using LiveCharts;
using LiveCharts.Defaults;
using LiveCharts.Wpf;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlankApp1.ViewModels
{
    public  class StatisticsViewModel:BindableBase
    {
        public StatisticsViewModel()
        {
            PieSeriesCollectionDone = new SeriesCollection();
            PieSeriesCollectionFail= new SeriesCollection();
            PieSeriesCollectionEveryday = new SeriesCollection();
            PieSeriesCollectionPLC = new SeriesCollection();
            GetPieSeriesDone();
            GetPieSeriesPLC();
            GetPieSeriesEveryDay();
            GetPieSeriesFail();
        }
       
        private void GetPieSeriesDone()
        {
            ChartValues<int> chartvalue = new ChartValues<int>();
            chartvalue.Add(40);
     
            PieSeries series = new PieSeries();
            series.DataLabels = true;
            series.Title = "合格率";
            series.Values = chartvalue;

            PieSeries series2 = new PieSeries();
            series2.DataLabels = true;
            series2.Title = "不合格率";
            series2.Values = chartvalue;
            PieSeriesCollectionDone.Add(series);
            PieSeriesCollectionDone.Add(series2);

        }
    

        private void GetPieSeriesPLC()
        {
            ChartValues<int> chartvalue = new ChartValues<int>();
            chartvalue.Add(40);
            PieSeries series = new PieSeries();
            series.DataLabels = true;
            series.Title = "合格率";
            series.Values = chartvalue;

            PieSeries series2 = new PieSeries();
            series2.DataLabels = true;
            series2.Title = "不合格率";
            series2.Values = chartvalue;
            PieSeriesCollectionPLC.Add(series);
            PieSeriesCollectionPLC.Add(series2);

        }


        private void GetPieSeriesFail()
        {
            ChartValues<int> chartvalue = new ChartValues<int>();
            chartvalue.Add(40);
            PieSeries series = new PieSeries();
            series.DataLabels = true;
            series.Title = "合格率";
            series.Values = chartvalue;

            PieSeries series2 = new PieSeries();
            series2.DataLabels = true;
            series2.Title = "不合格率";
            series2.Values = chartvalue;
            PieSeriesCollectionFail.Add(series);
            PieSeriesCollectionFail.Add(series2);

        }


        private void GetPieSeriesEveryDay()
        {
            ChartValues<int> chartvalue = new ChartValues<int>();
            chartvalue.Add(40);
            PieSeries series = new PieSeries();
            series.DataLabels = true;
            series.Title = "合格率";
            series.Values = chartvalue;

            PieSeries series2 = new PieSeries();
            series2.DataLabels = true;
            series2.Title = "不合格率";
            series2.Values = chartvalue;
            PieSeriesCollectionEveryday.Add(series);
            PieSeriesCollectionEveryday.Add(series2);

        }
        /// <summary>
        /// 图标数据
        /// </summary>
        private SeriesCollection pieSeriesCollectionDone;
        public SeriesCollection PieSeriesCollectionDone
        {
            get { return pieSeriesCollectionDone; }
            set { pieSeriesCollectionDone = value; RaisePropertyChanged(); }
        }

        private SeriesCollection pieSeriesCollectionPLC;
        public SeriesCollection PieSeriesCollectionPLC
        {
            get { return pieSeriesCollectionPLC; }
            set { pieSeriesCollectionPLC = value; RaisePropertyChanged(); }
        }

        private SeriesCollection pieSeriesCollectionEveryday;
        public SeriesCollection PieSeriesCollectionEveryday
        {
            get { return pieSeriesCollectionEveryday; }
            set { pieSeriesCollectionEveryday = value; RaisePropertyChanged(); }
        }

        private SeriesCollection pieSeriesCollectionFail;
        public SeriesCollection PieSeriesCollectionFail
        {
            get { return pieSeriesCollectionFail; }
            set { pieSeriesCollectionFail = value; RaisePropertyChanged(); }
        }
    }
}
